Package org.gitana.platform.client.team

# Interface Team

All Superinterfaces:
  `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Serializable`

All Known Implementing Classes:
  `TeamImpl`

public interface Team extends org.gitana.platform.GitanaObject

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_GROUP_DOMAIN_ID`
`static final String`
`FIELD_GROUP_ID`
`static final String`
`FIELD_KEY`
`static final String`
`FIELD_ROLE_KEYS`
`static final String`
`FIELD_TEAMABLE_ID`
`static final String`
`FIELD_TEAMABLE_TYPE_ID`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMember(String principalId)`
`String`
`getGroupId()`
`String`
`getKey()`
`List<String>`
`getRoleKeys()`
`Teamable`
`getTeamable()`
`void`
`grant(String authorityId)`
`boolean`
`hasMember(String principalId)`
`List<String>`
`listAuthorities()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listMembers()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listMembers(org.gitana.platform.support.Pagination pagination)`
`void`
`removeMember(String principalId)`
`void`
`revoke(String authorityId)`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

## Field Details

### FIELD_GROUP_ID

static final String FIELD_GROUP_ID

See Also:
  - Constant Field Values

### FIELD_GROUP_DOMAIN_ID

static final String FIELD_GROUP_DOMAIN_ID

See Also:
  - Constant Field Values

### FIELD_ROLE_KEYS

static final String FIELD_ROLE_KEYS

See Also:
  - Constant Field Values

### FIELD_KEY

static final String FIELD_KEY

See Also:
  - Constant Field Values

### FIELD_TEAMABLE_TYPE_ID

static final String FIELD_TEAMABLE_TYPE_ID

See Also:
  - Constant Field Values

### FIELD_TEAMABLE_ID

static final String FIELD_TEAMABLE_ID

See Also:
  - Constant Field Values

## Method Details

### getTeamable

Teamable getTeamable()

Returns:
  the teamable that this team is a part of

### getKey

String getKey()

Returns:
  the team key

### getGroupId

String getGroupId()

Returns:
  the team group id

### getRoleKeys

List<String> getRoleKeys()

Returns:
  the granted authority role keys that are bestowed unto members of this team

### addMember

void addMember(String principalId)

### removeMember

void removeMember(String principalId)

### hasMember

boolean hasMember(String principalId)

### listMembers

org.gitana.platform.support.ResultMap<DomainPrincipal> listMembers()

### listMembers

org.gitana.platform.support.ResultMap<DomainPrincipal> listMembers(org.gitana.platform.support.Pagination pagination)

### grant

void grant(String authorityId)

### revoke

void revoke(String authorityId)

### listAuthorities

List<String> listAuthorities()